Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_ProxyPushSupplier.cpp File Reference

`#include "CEC_ProxyPushSupplier.h"`
`#include "CEC_Dispatching.h"`
`#include "CEC_EventChannel.h"`
`#include "CEC_ConsumerControl.h"`
`#include "orbsvcs/ESF/ESF_RefCount_Guard.h"`
`#include "orbsvcs/ESF/ESF_Proxy_RefCount_Guard.h"`
`#include "tao/debug.h"`
`#include "ace/Reverse_Lock_T.h"`
`#include "CEC_ProxyPushSupplier.i"`

Include dependency graph for CEC_ProxyPushSupplier.cpp:

## Typedefs
typedef ACE_Reverse_Lock< ACE_Lock > | TAO_CEC_Unlock
typedef TAO_ESF_Proxy_RefCount_Guard< TAO_CEC_EventChannel, TAO_CEC_ProxyPushSupplier > | Destroy_Guard
## Functions
const char * | get_rcsid_CosEvent_CEC_ProxyPushSupplier (const char *)
## Variables
const char * | rcsid_CosEvent_CEC_ProxyPushSupplier = get_rcsid_CosEvent_CEC_ProxyPushSupplier ( rcsid_CosEvent_CEC_ProxyPushSupplier )

## Typedef Documentation

typedef TAO_ESF_Proxy_RefCount_Guard<TAO_CEC_EventChannel,TAO_CEC_ProxyPushSupplier> Destroy_Guard

typedef ACE_Reverse_Lock<ACE_Lock> TAO_CEC_Unlock

## Function Documentation

const char* get_rcsid_CosEvent_CEC_ProxyPushSupplier | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_CosEvent_CEC_ProxyPushSupplier = get_rcsid_CosEvent_CEC_ProxyPushSupplier ( rcsid_CosEvent_CEC_ProxyPushSupplier )`[static]`